# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/flye, last modified Fri Aug 30 21:54:42 2024
# ------------------------------------------------

package:
  name: flye
  version: 2.9.5
source:
  patches:
    - 0001-Makefile-aarch64.patch
  sha256: 7b384266d83b1e66bcaf82d49d35ac6c587bad9146e8f3b752a220291f6b1a6f
  url: https://github.com/fenderglass/Flye/archive/2.9.5.tar.gz
build:
  entry_points:
    - flye = flye.main:main
  number: '1'
  run_exports:
    - flye >=2.9.5,<3.0a0
  string: py312ha99f805_1
requirements:
  build:
    - ca-certificates 2024.8.30 h8857fd0_0
    - cctools_osx-64 986 h303a5ab_3
    - clang 16.0.6 default_he371ed4_12
    - clang-16 16.0.6 default_hb173f14_12
    - clang_impl_osx-64 16.0.6 h8787910_19
    - clang_osx-64 16.0.6 hb91bd55_19
    - clangxx 16.0.6 default_he371ed4_12
    - clangxx_impl_osx-64 16.0.6 h6d92fbe_19
    - clangxx_osx-64 16.0.6 hb91bd55_19
    - compiler-rt 16.0.6 ha38d28d_2
    - compiler-rt_osx-64 16.0.6 ha38d28d_2
    - icu 75.1 h120a0e1_0
    - ld64_osx-64 711 h04ffbf3_3
    - libclang-cpp16 16.0.6 default_hb173f14_12
    - libcxx 18.1.8 hd876a4e_6
    - libcxx-devel 18.1.8 h7c275be_6
    - libiconv 1.17 hd75f5a5_2
    - libllvm16 16.0.6 hbedff68_3
    - libxml2 2.12.7 heaf3512_4
    - libzlib 1.3.1 h87427d6_1
    - llvm-tools 16.0.6 hbedff68_3
    - make 4.4.1 h00291cd_0
    - openssl 3.3.1 hd23fc13_3
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.6 h915ae27_0
  host:
    - bzip2 1.0.8 hfdf4475_7
    - ca-certificates 2024.8.30 h8857fd0_0
    - libcxx 18.1.8 hd876a4e_6
    - libexpat 2.6.2 h73e2aa4_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.46.0 h1b8f9f3_0
    - libzlib 1.2.13 h87427d6_6
    - ncurses 6.5 hf036a51_1
    - openssl 3.3.1 hd23fc13_3
    - pip 24.2 pyh8b19718_1
    - python 3.12.3 h1411813_0_cpython
    - readline 8.2 h9e318b2_1
    - setuptools 72.2.0 pyhd8ed1ab_0
    - tk 8.6.13 h1abcd95_1
    - tzdata 2024a h8827d51_1
    - wheel 0.44.0 pyhd8ed1ab_0
    - xz 5.2.6 h775f41a_0
    - zlib 1.2.13 h87427d6_6
  run:
    - libcxx >=16
    - libzlib >=1.2.13,<2.0a0
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
test:
  commands:
    - flye -h | grep "Assembly"
    - python -c "import flye.tests.test_toy as t; t.main()"
about:
  dev_url: https://github.com/fenderglass/Flye
  doc_url: https://github.com/fenderglass/Flye/blob/flye/docs/USAGE.md
  home: https://github.com/fenderglass/Flye
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  summary: A fast and accurate de novo assembler for single molecule sequencing reads
    using repeat graphs.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:Flye
    - doi:10.1038/s41587-019-0072-8
    - doi:10.1038/s41592-020-00971-x
    - doi:10.1073/pnas.1604560113
    - usegalaxy-eu:flye
